package com.example.autorization.ui.fragments

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.viewModels
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import androidx.recyclerview.widget.RecyclerView.LayoutManager
import com.example.autorization.R
import com.example.autorization.ui.adapters.UserAdapter
import com.example.autorization.ui.fragments.signup.SignUpViewModel
import com.example.autorization.ui.fragments.signup.User


class UsersFragment : Fragment(R.layout.fragment_users) {

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val recyclerView = view.findViewById<RecyclerView>(R.id.UserRecyclerView)
        val users: List<User> = mutableListOf(
            User(email = "test@mail.ru", name = "Alex", password = "123"),
            User(email = "test@mail.ru", name = "Bob", password = "321"),
            User(email = "test@mail.ru", name = "Alex", password = "123"),
            User(email = "test@mail.ru", name = "Bob", password = "321"),
            User(email = "test@mail.ru", name = "Alex", password = "123"),
            User(email = "test@mail.ru", name = "Alex", password = "123"),
            User(email = "test@mail.ru", name = "Bob", password = "321"),
            User(email = "test@mail.ru", name = "Alex", password = "123"),
        )
        recyclerView.layoutManager = LinearLayoutManager(requireContext())
        val userAdapter = UserAdapter(users)
        recyclerView.adapter = userAdapter
    }

}